QGIS Application - Bug report #22093
Layer style is not maintained when changing windows folder
2019-05-16 12:44 PM - Maxime RIOU

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.6.2 Regression?: No
Operating System: Windows 7 Easy fix?: Yes

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 29906
Description

| work on a QGIS Project with several layers.

| sorted my layers in Windows as the folders were a bit messy.

| reopened QGIS and handled unavailable layers that have been moved.

I noticed that the style of these layers is not preserved. Only the style visible at the opening of QGIS project is not preserved, if the layer
has several styles the others are still available.

| guess this is linked to the structure of *.qgz file calling for each layer with a specific style at the opening of the project?

Related issues:
Duplicates QGIS Application - Bug report # 21954: change data source and styl... Feedback 2019-04-29

History

#1 - 2019-05-16 03:12 PM - Jiirgen Fischer
- Resolution set to duplicate
- Status changed from Open to Closed

#2 - 2019-05-16 03:13 PM - Jiirgen Fischer
- Duplicates Bug report #21954: change data source and style gets overridden added
